### Method

# Dex Channel send

#### Declaration [src]

    DexFuture*
    dex_channel_send (
      DexChannel* channel,
      DexFuture* future
    )

#### Description [src]

Queues `future` into the channel.

The other end of the channel can receive the future (or a future that will eventually resolve to `future`) using `dex_channel_receive()`.

This function returns a `DexFuture` that will resolve when the channels capacity is low enough to queue more items.

If the send side of the channel is closed, the returned `DexFuture` will be rejected with `DEX_ERROR_CHANNEL_CLOSED`.

#### Parameters

`future`

  Type: `DexFuture`

  A `DexFuture`.

  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.